%define build_firefox 1
%define ext_guid '{a6ca9b3b-5e52-4f47-85d8-cca35bb57596}'
%define ext_desc \\\
This tool provides extra protection to your Firefox.\\\
It allows JavaScript, Java and other executable content \\\
to run only from trusted domains of your choice, e.g. \\\
your home-banking web site, guarding your "trust boundaries" \\\
against cross-site scripting attacks (XSS) and Clickjacking \\\
attempts, thanks to its unique ClearClick technology. \\\
\\\
Such a preemptive approach prevents exploitation of security \\\
vulnerabilities (known and even unknown!) with no loss of \\\
functionality...\\\
\\\
Experts do agree: Firefox is really safer with NoScript ;-)

Name: noscript
License: MPL
Group: Applications/Internet
Summary: Script blocker - The best security you can get in a web browser!
Version: 1.9.9.87
Release: 1%{?dist}
URL: https://addons.mozilla.org/en-US/firefox/addon/722/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: %{name}-%{version}-fx+sm+fn.xpi
Source100: mozilla-extension-update.sh
ExclusiveArch: i386 x86_64
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: unzip

%description
%{ext_desc}

%if %{build_firefox}

%define update_firefox \\\
  %{_libdir}/firefox-%{name}/mozilla-extension-update.sh --appname firefox \\\
  --extname %{ext_guid} --basedir %{_libdir} --extpath %{_libdir}/firefox-%{name} --action


%package -n firefox-%{name}
Summary: Script blocker - The best security you can get in a web browser!
Obsoletes: firefox-add-on-noscript
Requires: firefox
Group: Applications/Internet

%description -n firefox-%{name}
%{ext_desc}

%post -n firefox-%{name}
%{update_firefox} install ||:

%preun -n firefox-%{name}
if [ $1 = 0 ]; then
 %{update_firefox} remove ||:
fi 

%triggerin -n firefox-%{name} -- firefox
%{update_firefox} install ||:

%files -n firefox-%{name}
%defattr(-,root,root,-)
%{_libdir}/firefox-%{name}
%{_libdir}/firefox-%{name}/*

%endif #build_firefox

%build

%install

%define real_src %{SOURCE0}
%ifarch x86_64
%define real_src %{SOURCE0}
%endif

%if %{build_firefox}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}
unzip -qod $RPM_BUILD_ROOT%{_libdir}/firefox-%{name} %{real_src}
install -p -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_libdir}/firefox-%{name}/mozilla-extension-update.sh
%endif

%changelog

* Thu Jun 17 2010 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 2.2
- Initial release for slc5
- Modeled this package on Lubomir Rintel one from EPEL for thunderbird-lightning.
